<?php

	$makeup_artist_custom_css= "";

	/*----------------------First highlight color-------------------*/

	$makeup_artist_first_color = get_theme_mod('makeup_artist_first_color');

	if($makeup_artist_first_color != false){
		$makeup_artist_custom_css .='.social-icons .widget p.mb-0 a:hover, #slider .read-btn a, .view-all-btn a,.more-btn a,#comments input[type="submit"],#comments a.comment-reply-link,input[type="submit"],.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt,nav.woocommerce-MyAccount-navigation ul li,.pro-button a, .woocommerce a.added_to_cart.wc-forward, #service-section strong, #footer .wp-block-search .wp-block-search__button, #sidebar .wp-block-search .wp-block-search__button, #sidebar h3, .woocommerce span.onsale{';
			$makeup_artist_custom_css .='background-color: '.esc_attr($makeup_artist_first_color).';';
		$makeup_artist_custom_css .='}';
	}

	if($makeup_artist_first_color != false){
		$makeup_artist_custom_css .='a, p.site-title a, .logo h1 a, p.site-description, .service-box:hover .read-btn a, .copyright a:hover, .post-main-box:hover h2 a, #footer .textwidget a,#footer li a:hover,.post-main-box:hover h3 a,#sidebar ul li a:hover,.post-navigation a:hover .post-title, .post-navigation a:focus .post-title,.post-navigation a:hover,.post-navigation a:focus{';
			$makeup_artist_custom_css .='color: '.esc_attr($makeup_artist_first_color).';';
		$makeup_artist_custom_css .='}';
	}

	/*----------------------Second highlight color-------------------*/

	$makeup_artist_second_color = get_theme_mod('makeup_artist_second_color');

	if($makeup_artist_second_color != false){
		$makeup_artist_custom_css .='.logo-bg, .more-btn a:hover,input[type="submit"]:hover,#comments input[type="submit"]:hover,#comments a.comment-reply-link:hover,.pagination .current,.pagination a:hover,#footer .tagcloud a:hover,#sidebar .tagcloud a:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,.widget_product_search button:hover,nav.woocommerce-MyAccount-navigation ul li:hover, .social-icons .widget p.mb-0 a, .appointment-btn, .main-navigation ul.sub-menu>li>a:before, #slider .read-btn a:hover, .quoute-text, .view-all-btn a:hover, .more-btn a:hover, #comments input[type="submit"]:hover,#comments a.comment-reply-link:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,.pro-button a:hover, #preloader, #footer-2, .scrollup i, .pagination span, .pagination a, .widget_product_search button, .toggle-nav button{';
			$makeup_artist_custom_css .='background-color: '.esc_attr($makeup_artist_second_color).';';
		$makeup_artist_custom_css .='}';
	}

	if($makeup_artist_second_color != false){
		$makeup_artist_custom_css .='.social-icons .widget p.mb-0 a:hover, #slider .carousel-control-next i, #slider .carousel-control-prev i, #slider .inner_carousel h1 a, .post-main-box h2 a,.post-main-box:hover .post-info span a, .single-post .post-info:hover a, .middle-bar h6, .main-navigation a:hover{';
			$makeup_artist_custom_css .='color: '.esc_attr($makeup_artist_second_color).';';
		$makeup_artist_custom_css .='}';
	}

	if($makeup_artist_second_color != false){
		$makeup_artist_custom_css .='#slider .carousel-control-next i, #slider .carousel-control-prev i{';
			$makeup_artist_custom_css .='border-color: '.esc_attr($makeup_artist_second_color).';';
		$makeup_artist_custom_css .='}';
	}

	if($makeup_artist_second_color != false){
		$makeup_artist_custom_css .='.home-page-header{';
			$makeup_artist_custom_css .='border-bottom-color: '.esc_attr($makeup_artist_second_color).';';
		$makeup_artist_custom_css .='}';
	}

	/*---------------------------Width Layout -------------------*/

	$makeup_artist_theme_lay = get_theme_mod( 'makeup_artist_width_option','Full Width');
    if($makeup_artist_theme_lay == 'Boxed'){
		$makeup_artist_custom_css .='body{';
			$makeup_artist_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_theme_lay == 'Wide Width'){
		$makeup_artist_custom_css .='body{';
			$makeup_artist_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_theme_lay == 'Full Width'){
		$makeup_artist_custom_css .='body{';
			$makeup_artist_custom_css .='max-width: 100%;';
		$makeup_artist_custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$makeup_artist_theme_lay = get_theme_mod( 'makeup_artist_slider_opacity_color','0.7');
	if($makeup_artist_theme_lay == '0'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.1'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.1';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.2'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.2';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.3'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.3';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.4'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.4';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.5'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.5';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.6'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.6';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.7'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.7';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.8'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.8';
		$makeup_artist_custom_css .='}';
		}else if($makeup_artist_theme_lay == '0.9'){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='opacity:0.9';
		$makeup_artist_custom_css .='}';
	}

	/*------------------Slider Content Layout -------------------*/

	$makeup_artist_theme_lay = get_theme_mod( 'makeup_artist_slider_content_option','Left');
    if($makeup_artist_theme_lay == 'Left'){
		$makeup_artist_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$makeup_artist_custom_css .='text-align:left; left:10%; right:55%;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_theme_lay == 'Center'){
		$makeup_artist_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$makeup_artist_custom_css .='text-align:center; left:30%; right:30%;';
		$makeup_artist_custom_css .='}';
	}else if($makeup_artist_theme_lay == 'Right'){
		$makeup_artist_custom_css .='#slider .carousel-caption, #slider .inner_carousel, #slider .inner_carousel h1{';
			$makeup_artist_custom_css .='text-align: right; left:55%; right:10%;';
		$makeup_artist_custom_css .='}';
	}

	/*------------------ Slider Height ------------*/

	$makeup_artist_slider_height = get_theme_mod('makeup_artist_slider_height');
	if($makeup_artist_slider_height != false){
		$makeup_artist_custom_css .='#slider img{';
			$makeup_artist_custom_css .='height: '.esc_attr($makeup_artist_slider_height).';';
		$makeup_artist_custom_css .='}';
	}

	/*----------------Responsive Media -----------------------*/

	$makeup_artist_resp_slider = get_theme_mod( 'makeup_artist_resp_slider_hide_show',false);
	if($makeup_artist_resp_slider == true && get_theme_mod( 'makeup_artist_slider_hide_show', false) == false){
    	$makeup_artist_custom_css .='#slider{';
			$makeup_artist_custom_css .='display:none;';
		$makeup_artist_custom_css .='} ';
	}
    if($makeup_artist_resp_slider == true){
    	$makeup_artist_custom_css .='@media screen and (max-width:575px) {';
		$makeup_artist_custom_css .='#slider{';
			$makeup_artist_custom_css .='display:block;';
		$makeup_artist_custom_css .='} }';
	}else if($makeup_artist_resp_slider == false){
		$makeup_artist_custom_css .='@media screen and (max-width:575px) {';
		$makeup_artist_custom_css .='#slider{';
			$makeup_artist_custom_css .='display:none;';
		$makeup_artist_custom_css .='} }';
		$makeup_artist_custom_css .='@media screen and (max-width:575px){';
		$makeup_artist_custom_css .='.page-template-custom-home-page.admin-bar .homepageheader{';
			$makeup_artist_custom_css .='margin-top: 45px;';
		$makeup_artist_custom_css .='} }';
	}

	$makeup_artist_resp_sidebar = get_theme_mod( 'makeup_artist_sidebar_hide_show',true);
    if($makeup_artist_resp_sidebar == true){
    	$makeup_artist_custom_css .='@media screen and (max-width:575px) {';
		$makeup_artist_custom_css .='#sidebar{';
			$makeup_artist_custom_css .='display:block;';
		$makeup_artist_custom_css .='} }';
	}else if($makeup_artist_resp_sidebar == false){
		$makeup_artist_custom_css .='@media screen and (max-width:575px) {';
		$makeup_artist_custom_css .='#sidebar{';
			$makeup_artist_custom_css .='display:none;';
		$makeup_artist_custom_css .='} }';
	}

	$makeup_artist_resp_scroll_top = get_theme_mod( 'makeup_artist_resp_scroll_top_hide_show',true);
	if($makeup_artist_resp_scroll_top == true && get_theme_mod( 'makeup_artist_hide_show_scroll',true) == false){
    	$makeup_artist_custom_css .='.scrollup i{';
			$makeup_artist_custom_css .='visibility:hidden !important;';
		$makeup_artist_custom_css .='} ';
	}
    if($makeup_artist_resp_scroll_top == true){
    	$makeup_artist_custom_css .='@media screen and (max-width:575px) {';
		$makeup_artist_custom_css .='.scrollup i{';
			$makeup_artist_custom_css .='visibility:visible !important;';
		$makeup_artist_custom_css .='} }';
	}else if($makeup_artist_resp_scroll_top == false){
		$makeup_artist_custom_css .='@media screen and (max-width:575px){';
		$makeup_artist_custom_css .='.scrollup i{';
			$makeup_artist_custom_css .='visibility:hidden !important;';
		$makeup_artist_custom_css .='} }';
	}
	
	/*---------------- Button Settings ------------------*/

	$makeup_artist_button_border_radius = get_theme_mod('makeup_artist_button_border_radius');
	if($makeup_artist_button_border_radius != false){
		$makeup_artist_custom_css .='.post-main-box .more-btn a{';
			$makeup_artist_custom_css .='border-radius: '.esc_attr($makeup_artist_button_border_radius).'px;';
		$makeup_artist_custom_css .='}';
	}

	/*---------------- Single Blog Page Settings ------------------*/

	$makeup_artist_single_blog_comment_title = get_theme_mod('makeup_artist_single_blog_comment_title', 'Leave a Reply');
	if($makeup_artist_single_blog_comment_title == ''){
		$makeup_artist_custom_css .='#comments h2#reply-title {';
			$makeup_artist_custom_css .='display: none;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_single_blog_comment_button_text = get_theme_mod('makeup_artist_single_blog_comment_button_text', 'Post Comment');
	if($makeup_artist_single_blog_comment_button_text == ''){
		$makeup_artist_custom_css .='#comments p.form-submit {';
			$makeup_artist_custom_css .='display: none;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_comment_width = get_theme_mod('makeup_artist_single_blog_comment_width');
	if($makeup_artist_comment_width != false){
		$makeup_artist_custom_css .='#comments textarea{';
			$makeup_artist_custom_css .='width: '.esc_attr($makeup_artist_comment_width).';';
		$makeup_artist_custom_css .='}';
	}

	/*-------------- Copyright Alignment ----------------*/

	$makeup_artist_copyright_alingment = get_theme_mod('makeup_artist_copyright_alingment');
	if($makeup_artist_copyright_alingment != false){
		$makeup_artist_custom_css .='.copyright p{';
			$makeup_artist_custom_css .='text-align: '.esc_attr($makeup_artist_copyright_alingment).';';
		$makeup_artist_custom_css .='}';
	}

	/*------------------ Logo  -------------------*/

	// Site title Font Size
	$makeup_artist_site_title_font_size = get_theme_mod('makeup_artist_site_title_font_size');
	if($makeup_artist_site_title_font_size != false){
		$makeup_artist_custom_css .='.logo h1, .logo p.site-title{';
			$makeup_artist_custom_css .='font-size: '.esc_attr($makeup_artist_site_title_font_size).';';
		$makeup_artist_custom_css .='}';
	}

	// Site tagline Font Size
	$makeup_artist_site_tagline_font_size = get_theme_mod('makeup_artist_site_tagline_font_size');
	if($makeup_artist_site_tagline_font_size != false){
		$makeup_artist_custom_css .='.logo p.site-description{';
			$makeup_artist_custom_css .='font-size: '.esc_attr($makeup_artist_site_tagline_font_size).';';
		$makeup_artist_custom_css .='}';
	}

	/*--------------- Preloader Background Color  -------------------*/

	$makeup_artist_preloader_bg_color = get_theme_mod('makeup_artist_preloader_bg_color');
	if($makeup_artist_preloader_bg_color != false){
		$makeup_artist_custom_css .='#preloader{';
			$makeup_artist_custom_css .='background-color: '.esc_attr($makeup_artist_preloader_bg_color).';';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_preloader_border_color = get_theme_mod('makeup_artist_preloader_border_color');
	if($makeup_artist_preloader_border_color != false){
		$makeup_artist_custom_css .='.loader-line{';
			$makeup_artist_custom_css .='border-color: '.esc_attr($makeup_artist_preloader_border_color).'!important;';
		$makeup_artist_custom_css .='}';
	}

	/*------------------ Slider css  -------------------*/

	$makeup_artist_slider_hide_show = get_theme_mod('makeup_artist_slider_hide_show',false);
	if($makeup_artist_slider_hide_show == false){
		$makeup_artist_custom_css .='.quoute-text{';
			$makeup_artist_custom_css .=' position: static;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_resp_slider_hide_show = get_theme_mod('makeup_artist_resp_slider_hide_show',false);
	if($makeup_artist_resp_slider_hide_show == false){
		$makeup_artist_custom_css .='@media screen and (max-width: 575px) {
			.quoute-text{';
				$makeup_artist_custom_css .=' margin-top: 10px;';
		$makeup_artist_custom_css .='} }';
	}

	/*------------------ Woocommerce Settings  -------------------*/

	$makeup_artist_products_btn_padding_top_bottom = get_theme_mod('makeup_artist_products_btn_padding_top_bottom');
	if($makeup_artist_products_btn_padding_top_bottom != false){
		$makeup_artist_custom_css .='a.button.product_type_simple.add_to_cart_button{';
			$makeup_artist_custom_css .='padding-top: '.esc_attr($makeup_artist_products_btn_padding_top_bottom).' !important; padding-bottom: '.esc_attr($makeup_artist_products_btn_padding_top_bottom).' !important;';
		$makeup_artist_custom_css .='}';
	}

	$makeup_artist_products_btn_padding_left_right = get_theme_mod('makeup_artist_products_btn_padding_left_right');
	if($makeup_artist_products_btn_padding_left_right != false){
		$makeup_artist_custom_css .='a.button.product_type_simple.add_to_cart_button{';
			$makeup_artist_custom_css .='padding-left: '.esc_attr($makeup_artist_products_btn_padding_left_right).' !important; padding-right: '.esc_attr($makeup_artist_products_btn_padding_left_right).' !important;';
		$makeup_artist_custom_css .='}';
	}